import { world } from "@minecraft/server";
import "./playersounds";

world.beforeEvents.worldInitialize.subscribe((initEvent) => {
    initEvent.itemComponentRegistry.registerCustomComponent("fur:cure", {
        onConsume(cure) {
            cure.source.runCommand("function cure");
        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:vaccine", {
        onConsume(vaccine) {
            vaccine.source.runCommand("execute at @s[tag=human] run function vaccine");
            vaccine.source.runCommand("say was killed by the vaccine");
            vaccine.source.runCommand("execute at @s[tag=furry] run kill @s");
        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:antibio", {
        onConsume(antibio) {
            antibio.source.runCommand("function antibio");
        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant1", {

        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected1");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant2", {

        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected2");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant3", {

        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected3");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant4", {

        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected4");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant5", {

        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected5");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant6", {

        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected6");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant7", {

        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected7");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant8", {

        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected8");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant9", {

        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected9");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant10", {

        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected10");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant11", {



        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected11");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant12", {



        onConsume(infect) {

            infect.source.runCommand("event entity @s minecraft:infected12");

            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant13", {



        onConsume(infect) {

            infect.source.runCommand("function infection13");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant14", {



        onConsume(infect) {

            infect.source.runCommand("function infection14");
            infect.source.runCommand("effect @s clear");

        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:variant15", {



        onConsume(infect) {

            infect.source.runCommand("function infection15");
            infect.source.runCommand("effect @s clear");
        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:dogtreat", {
        onConsume(dogtreat) {
            dogtreat.source.runCommand("function dogtreat");
        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:partial", {

        onCompleteUse(partial) {

            partial.source.runCommand("event entity @s minecraft:partial_mode");

            partial.source.runCommand("title @s actionbar Render successfully changed");

            partial.source.runCommand("replaceitem entity @s slot.weapon.mainhand 0 fur:fstone 1 0");
            partial.source.runCommand("playsound infection.start");
        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:partialremove", {



        onCompleteUse(removepartial) {

            removepartial.source.runCommand("event entity @s minecraft:partial_remove");
            removepartial.source.runCommand("title @s actionbar Render successfully changed");
            removepartial.source.runCommand("replaceitem entity @s slot.weapon.mainhand 0 fur:pstone 1 0");
            removepartial.source.runCommand("playsound infection.grow");
        },
    });
    initEvent.itemComponentRegistry.registerCustomComponent("fur:cattreat", {
        onConsume(cattreat) {
            cattreat.source.runCommand("function cattreat");
        },
    });
});